demo/urls.py
from django.conf.urls import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'demo.views.home', name='home'),
    # url(r'^demo/', include('demo.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^admin/', include(admin.site.urls)),
)

urlpatterns += staticfiles_urlpatterns()

urlpatterns += patterns('',
    url(r'^', include('morumbi.cms.urls')),
)

events/models.py
from django.db import models
from django.utils.translation import ugettext_lazy as _

class Event(models.Model):
    page = models.ForeignKey('cms.Page', verbose_name=_("page"))
    title = models.CharField(max_length=255)
    date = models.DateField()
    description = models.TextField(blank=True, null=True)
    
    def __unicode__(self):
        return u"%s (%s)"%(self.title, self.date)
        
    class Meta:
        verbose_name = _("Event")
        verbose_name_plural = _("Events")
        ordering = ('-date',)

demo/templates/modules/text.html
{% load markup %}
{{ text|textile }} 

demo/templates/pages/base.html
{% load cms_tags cms_helpers i18n %}<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{{ LANGUAGE_CODE }}" lang="{{ LANGUAGE_CODE }}">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>{% firstof page.template_options.page_title page.title %}</title>
    <link rel="stylesheet" href="{{ STATIC_URL }}css/style.css" type="text/css" media="screen" charset="utf-8"/>
    {% if page.template_options.meta_description %}<meta name="description" content="{{ page.template_options.meta_description }}">{% endif %} 
    {% if page.template_options.meta_keywords %}<meta name="keywords" content="{{ page.template_options.meta_keywords }}">{% endif %} 
</head>
<body class="">
    <div id="page">
        <div id="header">
            <a href="/"><img id="logo" src="{{ STATIC_URL }}img/beta.jpg"/></a>
            <ul class="nav horizontal">
                {% for p in navigation %}{% if p.language == page.language %}<li class="{% if p == page or page|in_list:p.get_descendants %}active {% endif %}{% if forloop.first %}first {% endif %}">
                <a href="{{ p.get_absolute_url }}" title="{{ p.title }}">{{ p.title }}</a>
                </li>{% endif %} 
                {% endfor %}
            </ul>
        </div>
        <div id="left">
            <ul class="nav vertical">
                {% for p in navigation %}{% if p.language == page.language %}<li class="{% if p == page or page|in_list:p.get_descendants %}active {% endif %}{% if forloop.first %}first {% endif %}">
                <a href="{{ p.get_absolute_url }}" title="{{ p.title }}">{{ p.title }}</a>
                {% if p == page or page|in_list:p.get_descendants %}
                {% if p.get_menu_children %} 
                <ul id="sub-navigation">
                {% for s in p.get_menu_children %} 
                {% if s.public and s.in_menu %} {# redundant, now checked in get_menu_children #} 
                {% if s.language == page.language %}<li{% if s == page or page|in_list:s.get_descendants or p|in_list:s.get_descendants %} class="active{% if forloop.last %} last{% endif %}"{% else %}{% if forloop.last %} class="last"{% endif %}{% endif %}><a href="{{ s.get_absolute_url }}" title="{{ s.title }}">{{ s.title }}</a></li>
                {% endif %}
                {% endif %} 
                {% endfor %}
                </ul>
                {% endif %} 
                {% endif %} 
                </li>{% endif %} 
                {% endfor %}
            </ul>
        </div>
        <div id="main">
            {% block content %}{% endblock %}              
        </div>
        <div id="footer">
            {% block footer %} 
            <p>&copy; 2013 demo.morumbi.de</p>
            {% endblock %} 
        </div>
    </div>
</body>
</html>

demo/templates/pages/default.html
{% extends "pages/base.html" %} 

{% block content %}
<div class="sidebar">
    {{ content.sidebar|safe }}
</div>
<div class="content">
    {{ content.main|safe }}
</div>
{% endblock %}

{% block footer %}{{ block.super }}
{{ content.footer|safe }}
{% endblock %}  
  

demo/templates/pages/simple.html
{% extends "pages/base.html" %} 

{% block content %}
{{ content.main|safe }}
{% endblock %}
 

events/templates/events/modules/event_detail.html
{% load markup %} 
{% with page.event_set.get as event %} 
<h1>{{ event.title }}</h1>
<p><strong>{{ event.date|date }}</strong></p>
{{ event.description|textile }}
{% endwith %} 

events/templates/events/modules/event_list.html
<ul>
    {% for event in event_list %}
    <li><a href="{{ event.page.get_absolute_url }}">{{ event.title }}</a></li>
    {% endfor %}
</ul>   

events/templates/events/pages/event.html
{% extends "pages/simple.html" %} 